at.chipkarte.client.kse.soap

## Class Limit

- Object
- - at.chipkarte.client.kse.soap.Limit

-     public class Limit
      extends Object

  Enthält die Daten zu den Limits eines Vertragspartners bezogen auf einen Bezugsbereich, auf ein Fachgebiet und einen Krankenversicherungsträger.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Limit()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFachgebietsCode()` Fachgebietscode, für das das Limit gilt, siehe Funktion `getFachgebietsCode`.
    `LimitKonfig[]` | `getLimitConfig()` Limitkonfigurationen für den Vertragspartner.
    `LimitValue[]` | `getLimitValue()` Konkreter Limitstand pro Vertrag.
    `String` | `getSvtCode()` Krankenversicherungsträger, der aufgrund der Vertragslage des Vertragspartners dieses Limit vorgegeben hat, siehe Funktion `getSVTs`.
    `void` | `setFachgebietsCode(String fachgebietCode)`
    `void` | `setLimitConfig(LimitKonfig[] limitConfig)`
    `void` | `setLimitValue(LimitValue[] limitValues)`
    `void` | `setSvtCode(String svtCode)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Limit

          public Limit()

  - ### Method Detail

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietCode)

    - #### setLimitConfig

          public void setLimitConfig(LimitKonfig[] limitConfig)

    - #### setLimitValue

          public void setLimitValue(LimitValue[] limitValues)

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Fachgebietscode, für das das Limit gilt, siehe Funktion `getFachgebietsCode`.
      Format: 2-stellig
      Returns:
        Fachgebietscode

    - #### getSvtCode

          public String getSvtCode()

      Krankenversicherungsträger, der aufgrund der Vertragslage des Vertragspartners dieses Limit vorgegeben hat, siehe Funktion `getSVTs`.
      Format: 2-stellig
      Returns:
        KVT-Code

    - #### getLimitValue

          public LimitValue[] getLimitValue()

      Konkreter Limitstand pro Vertrag.
      Returns:
        Limitstand

    - #### getLimitConfig

          public LimitKonfig[] getLimitConfig()

      Limitkonfigurationen für den Vertragspartner.
      Returns:
        Limitkonfiguration